commit:     d94e5ba60653f5135b6566f3685e583b7e448300
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  2 16:16:26 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Mar  2 16:19:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d94e5ba6

dev-python/plotly: add version 5.6.0

Closes: https://bugs.gentoo.org/833007
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/plotly/Manifest            |  1 +
 dev-python/plotly/metadata.xml        |  1 +
 dev-python/plotly/plotly-5.6.0.ebuild | 60 +++++++++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index 4a1fe19d713d..b53e9cb2e8cc 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1 +1,2 @@
 DIST plotly-5.2.2.tar.gz 7293292 BLAKE2B 
baef3accf8f5a3085908fcea558f8003687e18a1f97471c620c378c10d23d4222ef87dc47d64f45199b594414890db5b8ca5e3d7867c871d926c2ae441128c4a
 SHA512 
4d6d79f7cc2063e73e7c17ff90a7d13324497ea8034d8ce62d79ec62b0530a59b2eaec8913fb05efb804cf5be8387b6f96d1710f41b9993233b5a13cf64dd310
+DIST plotly-5.6.0.tar.gz 8599746 BLAKE2B 
e76ac48e79a2470c320f21991a75c51c29ec959b9bbc50b1176df2f40572d794b2073f16964445a3d6dee4643063c7ccbee90fee1673b9bfd850e239fb39d0e1
 SHA512 
3ba91bd1b2a9cb1cd778985a0253b11f36e891e01cb734d6c88c40266f1852f2b2d02b12bc712c0b58b93dd68dd1c9b4378bcbb462bd63b3a67334cb83564c82

diff --git a/dev-python/plotly/metadata.xml b/dev-python/plotly/metadata.xml
index 8fbe07679e00..045f16fe3634 100644
--- a/dev-python/plotly/metadata.xml
+++ b/dev-python/plotly/metadata.xml
@@ -13,4 +13,5 @@
     <remote-id type="pypi">plotly</remote-id>
     <remote-id type="github">plotly/plotly.py</remote-id>
   </upstream>
+  <stabilize-allarches/>
 </pkgmetadata>

diff --git a/dev-python/plotly/plotly-5.6.0.ebuild 
b/dev-python/plotly/plotly-5.6.0.ebuild
new file mode 100644
index 000000000000..23112789fce7
--- /dev/null
+++ b/dev-python/plotly/plotly-5.6.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plotly.com/python/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# TODO: package plotly-orca and kaleido
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.15.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep '
+                       dev-python/backports-tempfile[${PYTHON_USEDEP}]
+                       ' python3_8)
+               dev-python/inflect[${PYTHON_USEDEP}]
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/ipython[${PYTHON_USEDEP}]
+               dev-python/jupyter[${PYTHON_USEDEP}]
+               dev-python/jupyterlab[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pandas[${PYTHON_USEDEP}]
+               dev-python/pillow[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+               dev-python/scipy[${PYTHON_USEDEP}]
+               dev-python/statsmodels[${PYTHON_USEDEP}]
+               dev-python/xarray[${PYTHON_USEDEP}]
+               sci-libs/pyshp[${PYTHON_USEDEP}]
+               sci-libs/scikit-image[${PYTHON_USEDEP}]
+               sci-libs/shapely[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       mkdir -p "${ED}"/etc/ || die
+       mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+       rmdir "${ED}"/usr/etc || die
+}

Reply via email to